import React from 'react';
import type { ToggleInputGroupProps } from '@highlight-ui/toggle-input';
import { RadioButtonProps } from './RadioButton';
export declare type RadioButtonGroupOption = Pick<RadioButtonProps, 'metadata' | 'className' | 'id' | 'label' | 'subLabel' | 'tooltipContent' | 'tooltipMouseOutDelay' | 'disabled' | 'tone'> & Required<Pick<RadioButtonProps, 'value'>>;
export declare type RadioButtonGroupProps = ToggleInputGroupProps & {
    /** Array of options to render as Radio Button components */
    options: RadioButtonGroupOption[];
    /** The current selected options value */
    value?: RadioButtonGroupOption['value'];
    /** Gets called each time an option is selected. The only argument of this callback is an
     * array of RadioButtonGroupOption
     */
    onChange?: (option: RadioButtonGroupOption) => void;
};
declare const RadioButtonGroup: React.ForwardRefExoticComponent<{
    className?: string | undefined;
    name?: string | undefined;
    disabled?: boolean | undefined;
    orientation?: "vertical" | "horizontal" | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    /** Array of options to render as Radio Button components */
    options: RadioButtonGroupOption[];
    /** The current selected options value */
    value?: string | number | readonly string[] | undefined;
    /** Gets called each time an option is selected. The only argument of this callback is an
     * array of RadioButtonGroupOption
     */
    onChange?: ((option: RadioButtonGroupOption) => void) | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default RadioButtonGroup;
